
  <script src="/public/library/PdfPage-js/PdfFunctions.js"></script>

<h1>Convidado:

<select onchange="username()"name="convidados" id="convidados">
<option value="-1" selected>Selecione uma opção..</option>
<% for(var i = 0; i < JSON.parse(username).length;i++){ %>

    <option value="<%-i%>"><%- JSON.parse(username)[i].convidado %></option>

    <%}%>
</select>

</h1>
<div id="inviteselected"></div>
<div>---------Corpo email--------------</div>
<br>
<div id="body"></div>

<script>
    function username(){
        var message =  unescape('<%- body %>')
        var body = document.getElementById('body')
        var inviteselected = document.getElementById('inviteselected')
        var user = document.getElementById('convidados')
        var d = new Date();
let dataFormatada = ((d.getDate() )) + "/" + ((d.getMonth() + 1)) + "/" + d.getFullYear(); 
        var options = {
    "commands": {
        "guest": [
            {"word":"%guest", "value":user.options[user.selectedIndex].text}
        ],
        "date": [
            {"word":"%date", "value":dataFormatada}
        ]
    }
   } 
   if(user.options[user.selectedIndex].value != -1){
    inviteselected.innerHTML = 'Mostrando email para: ' + user.options[user.selectedIndex].text
  
body.innerHTML = registerGlobalVariables(message,options)
}
    }

</script>
